---
lang: en
title: 'API docs: rest.trierouter'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.trierouter.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [TrieRouter](./rest.trierouter.md)

## TrieRouter class

Router implementation based on trie

**Signature:**

```typescript
export declare class TrieRouter extends BaseRouter 
```
**Extends:** BaseRouter

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(options)](./rest.trierouter._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `TrieRouter` class


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[addRouteWithPathVars(route)](./rest.trierouter.addroutewithpathvars.md)


</td><td>

`protected`


</td><td>


</td></tr>
<tr><td>

[findRouteWithPathVars(verb, path)](./rest.trierouter.findroutewithpathvars.md)


</td><td>

`protected`


</td><td>


</td></tr>
<tr><td>

[listRoutesWithPathVars()](./rest.trierouter.listrouteswithpathvars.md)


</td><td>

`protected`


</td><td>


</td></tr>
</tbody></table>


